#ifndef qad_piqt_utils_H
#define qad_piqt_utils_H

#include <QtCore/qplugin.h>
#include <QtDesigner/QtDesigner>

class QADPiQtUtils
	: public QObject
	, public QDesignerCustomWidgetCollectionInterface {
	Q_OBJECT
	Q_INTERFACES(QDesignerCustomWidgetCollectionInterface)
#if QT_VERSION >= 0x050000
	Q_PLUGIN_METADATA(IID "qad.piqt_utils")
#endif

public:
	explicit QADPiQtUtils(QObject * parent = 0);
	virtual QList<QDesignerCustomWidgetInterface *> customWidgets() const;

private:
	QList<QDesignerCustomWidgetInterface *> m_widgets;
};

#endif
